version: '2.1'

services:
  jira:
    image: blackcowtech/atlassian-jira
    volumes:
      - jira-data:/var/atlassian/application-data/jira
    ports:
      - 8080:8080
    depends_on:
      - jira-db
    # environment:
    #   - "X_PROXY_NAME=jira.example.com"
    #   - "X_PROXY_PORT=443"
    #   - "X_PROXY_SCHEME=https"
    restart: unless-stopped

  jira-db:
    image: postgres:9.6-alpine
    volumes:
      - jira-db-data:/var/lib/postgresql/data
    environment:
      - "POSTGRES_DB=jira"
      - "POSTGRES_USER=jira"
      - "POSTGRES_PASSWORD=jira"
      - "POSTGRES_INITDB_ARGS=--locale=POSIX.UTF-8"
    restart: unless-stopped

volumes:
  jira-data: {}
  jira-db-data: {}

